# LIBMTP_device_entry_struct Struct Reference
[libmtp data structures]

`#include <libmtp.h>`

## Data Fields
char * | vendor
uint16_t | vendor_id
char * | product
uint16_t | product_id
uint32_t | device_flags

## Detailed Description

A data structure to hold MTP device entries.

Examples:

  hotplug.c.

## Field Documentation

uint32_t LIBMTP_device_entry_struct::device_flags

Bugs, device specifics etc

Referenced by dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Open_Raw_Device().

char* LIBMTP_device_entry_struct::product

The product name of this device

Examples:
  detect.c, and hotplug.c.

Referenced by dump_usbinfo(), and LIBMTP_Detect_Raw_Devices().

uint16_t LIBMTP_device_entry_struct::product_id

Product ID for this device

Examples:
  detect.c, and hotplug.c.

Referenced by configure_usb_device(), dump_usbinfo(), and LIBMTP_Detect_Raw_Devices().

char* LIBMTP_device_entry_struct::vendor

The vendor of this device

Examples:
  hotplug.c.

Referenced by dump_usbinfo(), and LIBMTP_Detect_Raw_Devices().

uint16_t LIBMTP_device_entry_struct::vendor_id

Vendor ID for this device

Examples:
  detect.c, and hotplug.c.

Referenced by configure_usb_device(), dump_usbinfo(), and LIBMTP_Detect_Raw_Devices().

The documentation for this struct was generated from the following file:

- /tmp/libmtp-1.0.1/src/libmtp.h